Package net.sf.saxon.event

## Class Event

- java.lang.Object
- - net.sf.saxon.event.Event

- Direct Known Subclasses:
    `Event.Append`, `Event.Comment`, `Event.EndDocument`, `Event.EndElement`, `Event.ProcessingInstruction`, `Event.StartDocument`, `Event.StartElement`, `Event.Text`

      public abstract class Event
      extends java.lang.Object

  An event is an object representing one of the events that can be passed to a receiver: for example, a startElement, endElement, characters, or comment event. Sufficient information is retained in order to enable a stored event to be "replayed" later.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Event.Append` | Event representing an arbitrary item being sent to the event stream in composed form.
    `static class` | `Event.Comment` | Event representing a comment node
    `static class` | `Event.EndDocument` | Event representing end of document
    `static class` | `Event.EndElement` | Event representing the end of an element
    `static class` | `Event.ProcessingInstruction` | Event representing a processing instruction node
    `static class` | `Event.StartDocument` | Event representing start of document
    `static class` | `Event.StartElement` | Event representing the start of an element (including attributes or namespaces)
    `static class` | `Event.Text` | Event representing a text node

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Event()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `replay​(Receiver out)` | Send the event to a receiver

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Event

          public Event()

  - ### Method Detail

    - #### replay

          public void replay​(Receiver out)
                      throws XPathException

      Send the event to a receiver
      Parameters:
        `out` - the receiver to which the event is to be sent
      Throws:
        `XPathException` - the the receiver reports an error